const express = require('express');
const { getProfile, updateProfile, deactivateAccount } = require('../controllers/userController');
const { authenticateToken } = require('../middleware/auth');

const router = express.Router();

router.get('/me', authenticateToken, getProfile);
router.get('/profile', authenticateToken, getProfile);
router.put('/profile', authenticateToken, updateProfile);
router.delete('/deactivate', authenticateToken, deactivateAccount);

module.exports = router;